cups always prints with the default page size

Bug #357732 reported by Leonard Michlmayr on 2009-04-08
116
This bug affects 9 people
Affects Status Importance Assigned to Milestone
GS-GPL
Invalid
High
cups (Ubuntu)
High
Till Kamppeter
Nominated for Lucid by piviul
Intrepid
Undecided
Unassigned
Jaunty
High
Till Kamppeter
ghostscript (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by piviul
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

After the upgrade to Jaunty some users experience that a part of the page is cut when printing, or other kinds of misalignment. (A fix is available, see below)

Details:
Cups does not print in any other page size than the one set in /etc/papersize, if the requested page size is specified as a job option rather than within the PS file. Pages are passed through "gs -sDEVICE=pdfwrite ..." which sets the page size to the default page size. Yet, I don't know whether this is a bug in ghostscript or the intended behavior of ghostscript and a bug in cups.

Since the upgrade to Jauny beta, I experienced that evince would shift a document up when printing. It is reproducible. I print in A4 on a Canon IR3170Ci.

The printed output is translated up. The upper part of the contents in not visible. I also tried another printer driver (hpijs instead of post-script) and did not observe any improvement.

Changing /etc/papersize from letter to a4 allows me to print in a4.

Printing from evince also working fine in intrepid.

To reproduce the bug:
lpr -omedia=A3 testpage.ps
There should not be a problem if the postscript file itself requests a page size.

FIX:
# (For simplicity, just paste this section to a terminal.)
# Download the attached pstopdf and install it in /usr/lib/cups/filter/
cd /tmp
wget http://launchpadlibrarian.net/25537150/pstopdf
sudo cp pstopdf /usr/lib/cups/filter/
# Then change the permissions of the installed file:
sudo chmod ugo+rx /usr/lib/cups/filter/pstopdf
# that's all.

affects: evince (Ubuntu) → cups (Ubuntu)

This bug looks similar to LP: #293832, but I did not experience any problems before the upgrade to Jaunty.

I've confirmed that this is a cups bug (rather than evince): a test page shows the same problem.

I captured the output that cups sends to the printer when printing /usr/share/system-config-printer/testpage-a4.ps

It clearly shows that the page is formatted as Letter, although the printer is set to A4. I will try to find out with what options ghostscript is being called.

Ok, I am mortified. I tracked down the problem to gs being called to make a PDF from the PS ... WITHOUT any papersize option. So it is the default papersize and of course this is set in /etc/papersize which was set to "letter". So if anybody experiences a strange behaviour of cups or gs, check that file.

Still I don't know why the papersize specified in the document is being ignored.

Also I don't know, which ubuntu package generates the file /etc/papersize. I think the file should either not exist or be ignored. The papersize may depend on the printer and /etc/papersize will not care about that.

description: updated
summary: - evince shifts up print since upgrade to jaunty
+ cups always prints with the default page size
description: updated
Till Kamppeter (till-kamppeter) wrote :

This is a missing capability/bug in Ghostscript's PDF output device. The PDF output device does not conserve page sizes given by the input document. It always assigns the default page size or a page size given by the command line.

I have reported the problem upstream.

The CUPS task I did not remove as after the Ghostscript fix there are perhaps slight changes in the pstopdf filter needed.

Till Kamppeter (till-kamppeter) wrote :

Can you set the "Fit to Page" option in system-config-printer (right-click printer, "Properties", "Job options") and see what happens then?

Till Kamppeter (till-kamppeter) wrote :

Can you replace the file /usr/lib/cups/filter/pstopdf by the attached file (make sure that the new file is executable ("chmod 755 /usr/lib/cups/filter/pstopdf"), unmark the "Fit to Page" option in system-config-printer, and try to print again? Does it work correctly now?

Changed in cups (Ubuntu):
importance: Undecided → High
status: New → Incomplete

Setting "Fit to Page" and /etc/papersize to letter (which is wrong) will print an a4 testpage which is shrunk just enough to fit within the page margins. So, everything is displayed, but it is slightly too small. I prefer to disable "Fit to Page" and set the correct /etc/papersize

As to the attached pstopdf: I cannot find the attachment, did you attach it to this bug in LP?

I read some words of the gs bug-report and I want to add my thoughts.

Probably, if the document does not request a page size, pstopdf does not have any other choice than using the default size, because the page size may be undefined in PS but it may not be undefined in PDF.

So it is the duty of cups to care for the page size. (For example gs -sPAPERSIZE=...) On the other hand the better solution may be to add the code from the PPD first:

If I call cups with
$ lpr -oPageSize=A3 foobar.ps

Cups will FIRST convert the PS to PDF and THEN add the options from the PPD, which sets A3 paper. Thus the default papersize overrides the options from the PPD. The order is wrong.

I don't know why cups converts to PDF and then back to PS, but maybe it could evaluate the options (e.g. -oPageSize=A3, or the default option in the PPD) and prepend the appropriate code from the PPD before calling pstopdf.

description: updated
Till Kamppeter (till-kamppeter) wrote :

Sorry, here we go.

Changed in ghostscript (Ubuntu):
status: New → Invalid

I propose to fix this as an SRU in Jaunty. Fix is committed to the Debian BZR repo of CUPS. debdiff is attached.

Steps to reproduce:

If your printer uses A4 paper, put "letter" into /etc/papersize and print the A4 Ubuntu test page.

If your printer uses letter paper, put "A4" into /etc/papersize and print the Letter Ubuntu test page.

The page will not be correctly centered, most probably cut at the top or at the right.

I have checked Intrepid. Here the bug should not occur. The Intrepid task can be removed.

Leonard Michlmayr, even if I have already proposed the new pstopdf for an SRU, please test it anyway, so that we know whether it helps you and you have printing back working.

description: updated

Ok, thank you very much for the patch.
I have tested it a lot.

It fixes the problem.

(I was wrong to use lpr -oPageSize=... though, because lpr somehow adds a media=A4 option)

I have tested printing with lpr -omedia=... and printing with evince.

Leonard, thank you for the test. We will put out an SRU (Stable Release Update) with this fix when Jaunty gets released. We will need some additional testing from you then. Instructions will be posted here in the bug report when the SRU is ready for testing.

Changed in cups (Ubuntu):
milestone: none → jaunty-updates
Changed in cups (Ubuntu Intrepid):
status: New → Invalid
Changed in ghostscript (Ubuntu Intrepid):
status: New → Invalid
Changed in cups (Ubuntu Jaunty):
status: Incomplete → In Progress
Martin Pitt (pitti) wrote :

Cherrypicked from trunk to jaunty branch. Assigning to me to upload it after Jaunty is released.

Changed in cups (Ubuntu Jaunty):
assignee: nobody → Martin Pitt (pitti)

I really think this needs to be fixed. What good are printer preferences dialoges, if only a sudo gedit /etc/papersize lets you print correctly?

Changed in ghostscript (Ubuntu Jaunty):
status: Invalid → Confirmed
Steve Langasek (vorlon) wrote :

It was marked invalid because ghostscript is the wrong package. Please do not mess with this setting.

Changed in ghostscript (Ubuntu Jaunty):
status: Confirmed → Invalid
Sebastian (sebastian-voitzsch) wrote :

Till,

replacing pstopdf as suggested resolved the issue for me (bug # 357286). Thanks a lot for your help.

Sebastian

description: updated
Martin Pitt (pitti) wrote :

SRU uploaded, waiting in queue now for Jaunty's release.

Changed in cups (Ubuntu Jaunty):
assignee: Martin Pitt (pitti) → Till Kamppeter (till-kamppeter)
status: In Progress → Fix Committed

Hello Till & colleagues, I confirm that the recommended pstopdf has fixed problem here, too. Thank you.
Rgds, Dani

Martin Pitt (pitti) wrote :

Accepted cups into jaunty-proposed-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Gyorgyi Toth (tgyorgyi27) wrote :

The fix worked for me, thank you. (Also for easy-to-use instructions!)

Gyorgyi Toth, did you also try the packages from -proposed? They need to be tested so that they get into the official updates and this way printing will just work for other users.

Shaun Crampton (fasaxc) wrote :

Just upgraded to jaunty proposed. I'm still seeing the issue (printing off the top of my A4 sheet). For the record, here's the information on my CUPS version:

$ apt-cache policy cups
cups:
  Installed: 1.3.9-17ubuntu2
  Candidate: 1.3.9-17ubuntu2
  Version table:
 *** 1.3.9-17ubuntu2 0
        500 http://ubuntu.virginmedia.com jaunty-proposed/main Packages
        100 /var/lib/dpkg/status
     1.3.9-17ubuntu1 0
        500 http://ubuntu.virginmedia.com jaunty/main Packages

Shaun Crampton, can you diff the /usr/lib/cups/filter/pstopdf file with my attached file, to see whether it made it really into the package?

The package from -proposed works well for me.

Gyorgyi Toth (tgyorgyi27) wrote :

Till, just re-installed cups from -proposed, works fine.

tags: added: verification-done
removed: verification-needed
Michael Gefen (gefenm11) wrote :

This solution does not work for me

Shaun Crampton (fasaxc) wrote :

Till. The attached file is identical to my /usr/lib/cups/filter/pstopdf.

Thanks a lot Shaun. This really fixed my problem!

Regards,

Kilian

On Sat, 2009-04-25 at 09:57 +0000, Shaun Crampton wrote:
> Till. The attached file is identical to my
> /usr/lib/cups/filter/pstopdf.
>

Michael Gefen (gefenm11) wrote :

i did the diff as well, and pstopdf attached here is thesame as the one in /usr/lib/cups/filter/, and i still have the issue.

Everyone who still has the problem even after supplying the proposed fix please tell which printer you have, which driver you use, and supply an error_log and the apport output (or troubleshooting wizard output) following the instructions on https://wiki.ubuntu.com/DebuggingPrintingProblems

Architecture: i386
DistroRelease: Ubuntu 9.04
Lpstat: device for Stylus_Photo_R300: usb://EPSON/Stylus%20Photo%20R300
MachineType: American Megatrends Inc. Uknown
Package: cups 1.3.9-17ubuntu2
PackageArchitecture: i386
PpdFiles: Stylus_Photo_R300: Epson Stylus Photo R300 - CUPS+Gutenprint v5.2.3 Simplified
ProcCmdLine: root=UUID=1babdee5-f7f1-4b12-acdd-8c713c5085bb ro resume=/dev/sda6 quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin netdev plugdev powerdev sambashare scanner vboxusers video

Shaun Crampton (fasaxc) wrote :

apport-collect crashes when run against this bug (reported as bug 363056). I've attached the output of printingbuginfo instead, which the wiki page said should be the same.

I'm using an Epson R300, the driver info appears to be in the attachment. Please shout if there's anything else needed.

Shaun, are you sure that you have the new pstopdf?

Can you also attach your printer's PPD file (it is in /etc/cups/ppd/)?

Michael Gefen (gefenm11) wrote :

Architecture: i386
CupsErrorLog:

DistroRelease: Ubuntu 9.04
Lpstat:
 device for HL-2030-series: usb://Brother/HL-2030%20series
 device for PDF: cups-pdf:/
MachineType: Dell Inc. Inspiron 1525
Package: cups 1.3.9-17ubuntu2
PackageArchitecture: i386
Papersize: letter
PpdFiles:
 HL-2030-series: Brother HL-2060 Foomatic/hpijs (recommended)
 PDF: Generic CUPS-PDF Printer
ProcCmdLine: root=UUID=07d2505e-0bb5-4be7-a66e-000af5292f7f ro vga=0x361 quiet
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
Uname: Linux 2.6.28-11-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :
Michael Gefen (gefenm11) wrote :

to make things clear:
my printer is:
Bus 005 Device 004: ID 04f9:0027 Brother Industries, Ltd HL-2030 Laser Printer

I use hpijs driver (PPD attached).
this ppd worked with cups 1.3.9-2 (from ibex)

Michael Gefen, can you supply your error_log following the instructions on

https://wiki.ubuntu.com/DebuggingPrintingProblems

Thanks.

Michael Gefen (gefenm11) wrote :

sorry Till, here the log.
the print job is number 30.
it was sent from cups web interface using print test page.

Michael Gefen, did you test with other things than the CUPS test page of the CUPS web interface? How much got cut off from your printouts? 2 cm? Or much less? Did you also try printing normal documents, likle from OpenOffice.org, Firefox, ...?

Shaun Crampton (fasaxc) wrote :

I'm sure the version of pstopdf on my system is the same as the one attached

MD5 sums of all files on my system matching pstopdf:

3183e4d7de6eaf8ef0dadf925de32dbe /usr/lib/cups/filter/pstopdf
3183e4d7de6eaf8ef0dadf925de32dbe /usr/share/doc/cups/examples/pstopdf

And the one attached to the bug:

3183e4d7de6eaf8ef0dadf925de32dbe /tmp/pstopdf

One thing that I noticed in the error log is that I don't have a file /etc/papersize (although I have set A4 via the Printed Options tab of the Printer Properties dialog of the Printing applet).

Michael Gefen (gefenm11) wrote :

the attached file was printed using evince and acrobat 9

in acrobat:
acrobat reported the following command (when making printer settings)
lpr -P HL-2030-series -o PrintoutMode=Normal -o InputSlot=Default -o PageSize=A4 -o PageRegion=A4 -o Duplex=None -o Quality=FromPrintoutMode

and the printout came fine.

in evince:
the page was cut on all edges after when printing at 100% scale
and on bottom left when printing at 50% scale

in firefox and openoffice:
the printout seems to be fine.

i would also like to note that i performed the test that you offered here:
https://bugs.launchpad.net/ubuntu/+source/poppler/+bug/293832/comments/20

the results were different, and the parameters that affected the printout were:
-dDEVICEWIDTHPOINTS=595 -dDEVICEHEIGHTPOINTS=842

Everyone who has still problems, especially Shaun, please try the attached pstopdf. Replace your /usr/lib/cups/filter/pstopdf with it and make sure the new file is executable ("sudo chmod 755 /usr/lib/cups/filter/pstopdf"). Then try to print again. Does this help?

Shaun, thank you very much for your PPD file. I think with this I have found your problem. The program which set the page size defaults in your PPD removed the spaces between the colons and the default values. I do not know whether this is against the PPD specs put my new pstopdf supports it and so printing should work for you.

Michael Gefen (gefenm11) wrote :

the pstopdf file attached to this report is exactly the same as the one in /usr/lib/cups/filter/
(unless you changed the file and i missed the new attachment, although i doublechecked)

As usual, I have forgotten to attach it. Here we go.

Michael Gefen (gefenm11) wrote :

i tested the new pstopdf.
it did not resolve the problem for me.

i don't really understand the way cups work but i decided to give a try to pstopdf that worked for me
(a very dirty hack)
so i copied it from cups 1.3.9-2_i386 package (the original that came with intrepid) and it resolved the problem with the cups test page.
it did not resolve the issue with printing from evince.
maybe evince problem is related to the fact that the "Paper type" in Print dialogue (page setup tab) is disabled. and i should file a separate bug about it.

the pstopdf i used is attached for convenience.

Michael Gefen, you said you used the following line:

lpr -P HL-2030-series -o PrintoutMode=Normal -o InputSlot=Default -o PageSize=A4 -o PageRegion=A4 -o Duplex=None -o Quality=FromPrintoutMode

Just for debugging, please try and add -o media=A4
As mentioned earlier, I have experienced that using lpr with PageSize=A4 alone does not work, because something will add a "media=Letter" to the options and it seems to override the PageSize.

Michael Gefen, your file Test_Page.pdf fills the complete A4 page without leaving any white borders. As most printers cannot print up to the borders it is normal that borders get cut when sending the file straight to the printer. It seems that the Adobe Reader does a scale to fit internally before sending out the file (you probably can configure this behavior in the printing dialog). Evince does not scale to fit by default and when downscaling manually it seems not to center the document but it leaves it in the lower left corner. Evince also defaults to Letter paper size even if the printer defaults to A4 AND the document is A4. Report all these issues as bugs in evince (or in the GTK printing framework).

As you can print other documents (Firefox, OpenOffice.org) correctly, the filter chain problems are fixed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.9-17ubuntu2

---------------
cups (1.3.9-17ubuntu2) jaunty-proposed; urgency=low

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Call Ghostscript with the default paper size
    (from PPD or from CUPS filter command line) on its command line. Some
    applications generate PostScript without PageSize requests.
    Multi-page-size jobs do not get broken by this as Ghostscript uses the
    given page size only as default and gives priority to page sizes requested
    by the document (contrary to Poppler). (LP: #357732)

  [ Martin Pitt ]
  * debian/control: Update Vcs-Bzr: for Jaunty branch.

 -- Till Kamppeter <email address hidden> Tue, 21 Apr 2009 13:07:29 +0200

Changed in cups (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Reopening for Jaunty, since the bug is not completely fixed.

Changed in cups (Ubuntu Jaunty):
status: Fix Released → Fix Committed
Changed in cups (Ubuntu):
milestone: jaunty-updates → none
Martin Pitt (pitti) on 2009-04-28
tags: removed: verification-done
Martin Pitt (pitti) wrote :

Accepted cups into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Marius Vasilescu (vegancorr) wrote :

I've just updated, I can confirm that it worked from evince & openoffice writer. Now system-config-printer overrides the default /etc/papersize setting.

hooray!

Martin Pitt (pitti) on 2009-04-28
tags: added: verification-done
removed: verification-needed
Shaun Crampton (fasaxc) wrote :

Till, the new pstopdf (attached to this bug) works for me when I print a test page from the Printing applet.

Thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.9-17ubuntu3

---------------
cups (1.3.9-17ubuntu3) jaunty-proposed; urgency=low

  * debian/filters/pstopdf: Make pstopdf also reading default values from the
    PPD if there is no space between the colon and the value. Some programs
    seem to remove this space when setting the defaults. Fixes LP: #357732
    harder.

 -- Till Kamppeter <email address hidden> Tue, 28 Apr 2009 11:45:27 +0200

Changed in cups (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Elsie (chianboon) wrote :

cups 1.3.9-17ubuntu3 still did not fix my problem, set to A6 but printing was way off. I'm printing from browser (firefox / opera); tried various printers (HP color Laserjet 2605, Deskjet D2400) - result is the same

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.3.10-2

---------------
cups (1.3.10-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/P2PFont.cxx: Make the pdftopdf
    filter also building with Poppler 0.11.0.
  * debian/filters/pstopdf: Make pstopdf also reading default values from the
    PPD if there is no space between the colon and the value. Some programs
    seem to remove this space when setting the defaults. Fixes problem of
    Shaun Crampton in LP: #357732.

  [ Martin Pitt ]
  * debian/control: Lift cups-driver-gutenprint from Suggests to Recommends,
    it's needed by many printers and not very large. (Closes: #522428)
  * debian/control: Drop cups-bsd's Recommends: cups to a Suggests:. Client
    packages shouldn't pull in the server by default. (Closes: #529630)
  * debian/libcups2.dirs: Drop, obsolete.
  * debian/cups.dirs: Remove most directories, not necessary to explicitly
    create them.

  [ Martin-Éric Racine]
  * Cleaned Lintian errors:
    (source)
    E: debian-rules-ignores-make-clean-error
    W: debhelper-but-no-misc-depends
    W: dbg-package-missing-depends
    (cups)
    E: dir-or-file-in-var-run
    (cups-common)
    W: symlink-should-be-relative
  * Added Lintian overrides:
    (cups)
    W: non-standard-executable-perm
       usr/lib/cups/backend-available/[ipp|lpd|serial] 0744 != 0755

cups (1.3.10-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream security/bug fix release:
    - The scheduler now protects against DNS rebinding attacks. Please note
      that this could lead to some regressions. (CVE-2009-0164)
    - Fixed TIFF integer overflow in image filters. (CVE-2009-0163)
    - Lots of bug fixes.
  * Drop patches included upstream:
    - hpgl-regression.dpatch
    - runloop-backchannel-eof-spin.dpatch
    - png-image-int-overflow.dpatch
    - CVE-2008-5183.dpatch
    - pdftops-cups-1.4.dpatch
  * Add pdftops-testsuite.dpatch: Fix path to pdftops in the test suite.
  * debian/rules: Specify --with-pdftops=gs, so that the pdftops filter is
    built with intended ghostscript support.

  [ Till Kamppeter ]
  * debian/filters/pstopdf: Added support for custom page sizes to the
    pstopdf CUPS filter.
  * debian/filters/pstopdf: Call Ghostscript with the default paper size
    (from PPD or from CUPS filter command line) on its command line. Some
    applications generate PostScript without PageSize requests.
    Multi-page-size jobs (LP: 310575) do not get broken by this as
    Ghostscript uses the given page size only as default and gives priority
    to page sizes requested by the document (in contrary to Poppler).
    Fixes LP: #357732).

 -- Martin Pitt <email address hidden> Thu, 21 May 2009 19:01:37 +0200

Changed in cups (Ubuntu):
status: Fix Committed → Fix Released
munirx (munirx) on 2009-08-02
Changed in cups (Ubuntu Jaunty):
status: Fix Released → Fix Committed
status: Fix Committed → Incomplete

munirx, please do not reopen a bug without posting any comment.

Pleasea check at first whether you have the update installed which contains the fix. If you are sure that it is installed for you please tell us what your problem is in a comment. Then we will decide whether this is still the same bug or another bug with similar symptoms and either reopen this bug or ask you to open a new bug.

Changed in cups (Ubuntu Jaunty):
status: Incomplete → Fix Released
Sebastian Geiger (lanoxx) wrote :

I just found this bug report by pure chance. I have been seeing this bug before and I am glad it has been fixed. However I wonder why there is not simply an option (e.g. under System->Preferences->Time and Date or somewhere else appropriate) to set this value? After all, most of the people in the world use the metric system and A4 paper anyway, so why is letter set to default at all? Maybe this could even be checked at install time?

Changed in gs-gpl:
status: Unknown → Invalid
piviul (piviul) wrote :

I have just installed lucid lynx and the problem doesn't seems to be solved. Furthermore I'm lost in the bug... there is a pstopdf I can use to solve the problem? Cups is 1.4.3-1 now.

Thank you very much

Piviul

Changed in gs-gpl:
importance: Unknown → High
Phillip Jones (pjones13) wrote :

10 years after the initial bug report and it looks like I'm experiencing the same bug.

In my case, I'm trying to print some pages that are 11" x 17" but it is received at the printer as US Letter size. I did confirm that /etc/papersize contains "letter", and changing that to "A4" also changes what is received by the printer.

The print dialog confirms that 11x17 has been selected, but that's overwritten behind the scenes somewhere. Since 11x17 is a custom size in the print dialog, I'm not sure what I should put in /etc/papersize to make it work correctly.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.